module Gorillapi
  class RequestBuilder
    include CurlBuilder

    attr_reader :request_method, :path, :params, :url, :content_type, :accept_header, :token

    def initialize(options = {})
      options.each do |key, value|
        instance_variable_set("@#{key}", value) unless value.nil? || value.empty?
      end
    end

    def send
      `#{request_string}`
    end

    def print
      request_string
    end
  end
end