require 'active_support/inflector'
require 'json'

require_relative "gorillapi/version"

require_relative "gorillapi/curl_builder"
require_relative 'gorillapi/request_builder'
require_relative 'gorillapi/request_methods'

module Gorillapi
  include RequestMethods

  def test_api(url: '')
    self.class_eval("def url;'#{url}';end")
  end

  def header(header_name: '', api_key: '', format: 'json', version: 1)
    self.class_eval("def content_type;'application/#{format}';end")
    self.class_eval("def format;'#{format}';end")
    self.class_eval("def version;'#{version}';end")
    self.class_eval("def token;'#{api_key}';end")
    self.class_eval("def accept_header; 'application/vnd.#{header_name}-v#{version}+#{format}'; end")
  end
end
